%global scl_name_base eclipse
%global scl rh-%{scl_name_base}

# Do not produce empty debuginfo package
%global debug_package %{nil}

%scl_package %scl

Summary: Package that installs %scl
Name: %scl_name
Epoch: 1
Version: 4.19
Release: 4%{?dist}
License: GPLv2+

Source0: README
Source1: LICENSE
Source2: x-osgi_rh_eclipse.attr

BuildRequires: scl-utils-build >= 20120927-11
BuildRequires: help2man
BuildRequires: java-11-openjdk-devel

# Deprecate base subpackage
Provides:  %{name}-base = %{epoch}:%{version}-%{release}
Obsoletes: %{name}-base < %{epoch}:%{version}-%{release}

Requires: %{name}-runtime = %{epoch}:%{version}-%{release}
Requires: %{scl_prefix}eclipse-ecf-core
Requires: %{scl_prefix}eclipse-egit >= 5.11.0
Requires: %{scl_prefix}eclipse-emf-core
Requires: %{scl_prefix}eclipse-emf-xsd
Requires: %{scl_prefix}eclipse-equinox-osgi >= 1:%{version}
Requires: %{scl_prefix}eclipse-gef
Requires: %{scl_prefix}eclipse-jdt >= 1:%{version}
Requires: %{scl_prefix}eclipse-jgit >= 5.11.0
Requires: %{scl_prefix}eclipse-m2e-core >= 1.17.1
Requires: %{scl_prefix}eclipse-mpc >= 1.9.0
Requires: %{scl_prefix}eclipse-p2-discovery >= 1:%{version}
Requires: %{scl_prefix}eclipse-pde >= 1:%{version}
Requires: %{scl_prefix}eclipse-platform >= 1:%{version}
Requires: %{scl_prefix}eclipse-swt >= 1:%{version}
Requires: %{scl_prefix}eclipse-webtools-common >= 3.19.0
Requires: %{scl_prefix}eclipse-webtools-servertools
Requires: %{scl_prefix}eclipse-webtools-sourceediting

# Packages that went away

# No longer shipping Subclipse
Obsoletes: %{scl_prefix}eclipse-subclipse
Obsoletes: %{scl_prefix}sqljet
Obsoletes: %{scl_prefix}sqljet-javadoc
Obsoletes: %{scl_prefix}trilead-ssh2
Obsoletes: %{scl_prefix}trilead-ssh2-javadoc
Obsoletes: %{scl_prefix}sequence-library
Obsoletes: %{scl_prefix}sequence-library-javadoc
Obsoletes: %{scl_prefix}svnkit
Obsoletes: %{scl_prefix}svnkit-cli
Obsoletes: %{scl_prefix}svnkit-javadoc
Obsoletes: %{scl_prefix}svnkit-javahl
Obsoletes: %{scl_prefix}jsch-agent-proxy-jsch
Obsoletes: %{scl_prefix}jsch-agent-proxy-connector-factory
Obsoletes: %{scl_prefix}jsch-agent-proxy-core
Obsoletes: %{scl_prefix}jsch-agent-proxy-javadoc
Obsoletes: %{scl_prefix}jsch-agent-proxy-pageant
Obsoletes: %{scl_prefix}jsch-agent-proxy-sshagent
Obsoletes: %{scl_prefix}jsch-agent-proxy-trilead-ssh2
Obsoletes: %{scl_prefix}jsch-agent-proxy-usocket-jna
Obsoletes: %{scl_prefix}jsch-agent-proxy-usocket-nc

# No longer shipping Pydev
Obsoletes: %{scl_prefix}eclipse-pydev
Obsoletes: %{scl_prefix}eclipse-pydev-mylyn
Obsoletes: %{scl_prefix}javaparser
Obsoletes: %{scl_prefix}javaparser-javadoc
Obsoletes: %{scl_prefix}jython
Obsoletes: %{scl_prefix}jython-demo
Obsoletes: %{scl_prefix}jython-javadoc
Obsoletes: %{scl_prefix}jctools
Obsoletes: %{scl_prefix}jctools-javadoc
Obsoletes: %{scl_prefix}jffi
Obsoletes: %{scl_prefix}jffi-javadoc
Obsoletes: %{scl_prefix}jffi-native
Obsoletes: %{scl_prefix}jnr-constants
Obsoletes: %{scl_prefix}jnr-constants-javadoc
Obsoletes: %{scl_prefix}jnr-ffi
Obsoletes: %{scl_prefix}jnr-ffi-javadoc
Obsoletes: %{scl_prefix}jnr-netdb
Obsoletes: %{scl_prefix}jnr-netdb-javadoc
Obsoletes: %{scl_prefix}jnr-posix
Obsoletes: %{scl_prefix}jnr-posix-javadoc
Obsoletes: %{scl_prefix}jnr-x86asm
Obsoletes: %{scl_prefix}jnr-x86asm-javadoc
Obsoletes: %{scl_prefix}netty
Obsoletes: %{scl_prefix}netty-javadoc
Obsoletes: %{scl_prefix}os-maven-plugin
Obsoletes: %{scl_prefix}os-maven-plugin-javadoc
Obsoletes: %{scl_prefix}ws-commons-util
Obsoletes: %{scl_prefix}ws-commons-util-javadoc
Obsoletes: %{scl_prefix}xmlrpc-client
Obsoletes: %{scl_prefix}xmlrpc-common
Obsoletes: %{scl_prefix}xmlrpc-javadoc
Obsoletes: %{scl_prefix}xmlrpc-server
# No longer needed for jgit
Obsoletes: %{scl_prefix}jzlib
Obsoletes: %{scl_prefix}jzlib-demo
Obsoletes: %{scl_prefix}jzlib-javadoc
# No longer shipping Datatools (available from marketplace)
Obsoletes: %{scl_prefix}eclipse-webtools-dali
Obsoletes: %{scl_prefix}eclipse-dtp
Obsoletes: %{scl_prefix}lpg
Obsoletes: %{scl_prefix}lpg-java-compat
Obsoletes: %{scl_prefix}lpg-java
# No longer shipping Mylyn
Obsoletes: %{scl_prefix}eclipse-mylyn
Obsoletes: %{scl_prefix}eclipse-mylyn-builds
Obsoletes: %{scl_prefix}eclipse-mylyn-builds-hudson
Obsoletes: %{scl_prefix}eclipse-mylyn-context-cdt
Obsoletes: %{scl_prefix}eclipse-mylyn-context-java
Obsoletes: %{scl_prefix}eclipse-mylyn-context-pde
Obsoletes: %{scl_prefix}eclipse-mylyn-sdk
Obsoletes: %{scl_prefix}eclipse-mylyn-tasks-bugzilla
Obsoletes: %{scl_prefix}eclipse-mylyn-tasks-trac
Obsoletes: %{scl_prefix}eclipse-mylyn-versions
Obsoletes: %{scl_prefix}eclipse-mylyn-versions-cvs
Obsoletes: %{scl_prefix}eclipse-mylyn-versions-git
Obsoletes: %{scl_prefix}eclipse-mylyn-versions-subclipse
# No longer shipping JSDT
Obsoletes: %{scl_prefix}closure-compiler
Obsoletes: %{scl_prefix}closure-compiler-javadoc
Obsoletes: %{scl_prefix}protobuf
Obsoletes: %{scl_prefix}protobuf-compiler
Obsoletes: %{scl_prefix}protobuf-devel
Obsoletes: %{scl_prefix}protobuf-emacs-el
Obsoletes: %{scl_prefix}protobuf-emacs
Obsoletes: %{scl_prefix}protobuf-javadoc
Obsoletes: %{scl_prefix}protobuf-java
Obsoletes: %{scl_prefix}protobuf-java-util
Obsoletes: %{scl_prefix}protobuf-lite-devel
Obsoletes: %{scl_prefix}protobuf-lite-static
Obsoletes: %{scl_prefix}protobuf-lite
Obsoletes: %{scl_prefix}protobuf-parent
Obsoletes: %{scl_prefix}protobuf-static
Obsoletes: %{scl_prefix}protobuf-vim
# No longer shipping docker tooling
Obsoletes: %{scl_prefix}eclipse-cdt-docker
Obsoletes: %{scl_prefix}eclipse-linuxtools-docker
Obsoletes: %{scl_prefix}docker-client-java
Obsoletes: %{scl_prefix}glassfish-hk2
Obsoletes: %{scl_prefix}glassfish-hk2-api
Obsoletes: %{scl_prefix}glassfish-hk2-class-model
Obsoletes: %{scl_prefix}glassfish-hk2-configuration
Obsoletes: %{scl_prefix}glassfish-hk2-core
Obsoletes: %{scl_prefix}glassfish-hk2-extras
Obsoletes: %{scl_prefix}glassfish-hk2-hk2
Obsoletes: %{scl_prefix}glassfish-hk2-javadoc
Obsoletes: %{scl_prefix}glassfish-hk2-jmx
Obsoletes: %{scl_prefix}glassfish-hk2-locator
Obsoletes: %{scl_prefix}glassfish-hk2-maven-plugins
Obsoletes: %{scl_prefix}glassfish-hk2-metadata-generator
Obsoletes: %{scl_prefix}glassfish-hk2-osgi-resource-locator
Obsoletes: %{scl_prefix}glassfish-hk2-runlevel
Obsoletes: %{scl_prefix}glassfish-hk2-testing
Obsoletes: %{scl_prefix}glassfish-hk2-utils
Obsoletes: %{scl_prefix}jackson-annotations-javadoc
Obsoletes: %{scl_prefix}jackson-annotations
Obsoletes: %{scl_prefix}jackson-bom
Obsoletes: %{scl_prefix}jackson-core-javadoc
Obsoletes: %{scl_prefix}jackson-core
Obsoletes: %{scl_prefix}jackson-databind-javadoc
Obsoletes: %{scl_prefix}jackson-databind
Obsoletes: %{scl_prefix}jackson-datatype-guava
Obsoletes: %{scl_prefix}jackson-datatypes-collections-javadoc
Obsoletes: %{scl_prefix}jackson-datatypes-collections
Obsoletes: %{scl_prefix}jackson-jaxrs-json-provider
Obsoletes: %{scl_prefix}jackson-jaxrs-providers-datatypes
Obsoletes: %{scl_prefix}jackson-jaxrs-providers-javadoc
Obsoletes: %{scl_prefix}jackson-jaxrs-providers
Obsoletes: %{scl_prefix}jackson-jaxrs-providers-parent
Obsoletes: %{scl_prefix}jackson-module-afterburner
Obsoletes: %{scl_prefix}jackson-module-guice
Obsoletes: %{scl_prefix}jackson-module-jaxb-annotations
Obsoletes: %{scl_prefix}jackson-module-osgi
Obsoletes: %{scl_prefix}jackson-modules-base-javadoc
Obsoletes: %{scl_prefix}jackson-modules-base
Obsoletes: %{scl_prefix}jackson-parent
Obsoletes: %{scl_prefix}jersey
Obsoletes: %{scl_prefix}jersey-javadoc
Obsoletes: %{scl_prefix}jnr-enxio
Obsoletes: %{scl_prefix}jnr-enxio-javadoc
Obsoletes: %{scl_prefix}jnr-unixsocket
Obsoletes: %{scl_prefix}jnr-unixsocket-javadoc
Obsoletes: %{scl_prefix}maven-osgi
Obsoletes: %{scl_prefix}maven-osgi-javadoc
# Removed in favour of using the m2e discovery process
Obsoletes: %{scl_prefix}eclipse-m2e-apt
Obsoletes: %{scl_prefix}eclipse-m2e-buildhelper
Obsoletes: %{scl_prefix}eclipse-m2e-egit
Obsoletes: %{scl_prefix}eclipse-m2e-mavenarchiver
Obsoletes: %{scl_prefix}eclipse-m2e-tycho
Obsoletes: %{scl_prefix}eclipse-m2e-wtp
# No longer needed to build m2e extensions
Obsoletes: %{scl_prefix}takari-pom
Obsoletes: %{scl_prefix}takari-archiver
Obsoletes: %{scl_prefix}takari-archiver-javadoc
Obsoletes: %{scl_prefix}takari-incrementalbuild
Obsoletes: %{scl_prefix}takari-incrementalbuild-javadoc
Obsoletes: %{scl_prefix}takari-lifecycle
Obsoletes: %{scl_prefix}takari-lifecycle-javadoc
Obsoletes: %{scl_prefix}takari-plugin-testing
Obsoletes: %{scl_prefix}takari-plugin-testing-javadoc
Obsoletes: %{scl_prefix}mustache-java
Obsoletes: %{scl_prefix}mustache-java-javadoc
Obsoletes: %{scl_prefix}mustache-java-maven-plugin
# Removed unmaintained incubation features
Obsoletes: %{scl_prefix}eclipse-mylyn-tasks-web
# No longer shipping PTP (formerly used only by linuxtools tests)
Obsoletes: %{scl_prefix}eclipse-ptp
Obsoletes: %{scl_prefix}eclipse-ptp-master
Obsoletes: %{scl_prefix}eclipse-ptp-rm-contrib
Obsoletes: %{scl_prefix}eclipse-ptp-sdk
Obsoletes: %{scl_prefix}eclipse-ptp-sdm
Obsoletes: %{scl_prefix}eclipse-ptp-gem
Obsoletes: %{scl_prefix}eclipse-ptp-sci
# No longer shipping DLTK, install from marketplace instead
Obsoletes: %{scl_prefix}eclipse-dltk
Obsoletes: %{scl_prefix}eclipse-dltk-mylyn
Obsoletes: %{scl_prefix}eclipse-dltk-rse
Obsoletes: %{scl_prefix}eclipse-dltk-ruby
Obsoletes: %{scl_prefix}eclipse-dltk-sdk
Obsoletes: %{scl_prefix}eclipse-dltk-sh
Obsoletes: %{scl_prefix}eclipse-dltk-tcl
Obsoletes: %{scl_prefix}eclipse-dltk-tests
# No longer shipping AERI (is moribund upstream)
Obsoletes: %{scl_prefix}eclipse-epp-logging
Obsoletes: %{scl_prefix}eclipse-abrt
# No longer shipping Recommenders (is moribund upstream)
Obsoletes: %{scl_prefix}eclipse-recommenders
Obsoletes: %{scl_prefix}glassfish-hk2-guice-bridge
# No longer needed to build felix-scr
Obsoletes: %{scl_prefix}felix-shell
Obsoletes: %{scl_prefix}felix-shell-javadoc
# No longer needed to build batik
Obsoletes: %{scl_prefix}jai-imageio-core
Obsoletes: %{scl_prefix}jai-imageio-core-javadoc
# No longer needed for eclipse-recommenders
Obsoletes: %{scl_prefix}apache-commons-math
Obsoletes: %{scl_prefix}apache-commons-math-javadoc
Obsoletes: %{scl_prefix}apache-commons-pool
Obsoletes: %{scl_prefix}apache-commons-pool-javadoc
Obsoletes: %{scl_prefix}cglib
Obsoletes: %{scl_prefix}cglib-javadoc
Obsoletes: %{scl_prefix}lucene3
Obsoletes: %{scl_prefix}lucene3-contrib
Obsoletes: %{scl_prefix}lucene3-javadoc
Obsoletes: %{scl_prefix}solr3
Obsoletes: %{scl_prefix}solr3-javadoc
Obsoletes: %{scl_prefix}woodstox-core
Obsoletes: %{scl_prefix}woodstox-core-javadoc
Obsoletes: %{scl_prefix}stax2-api
Obsoletes: %{scl_prefix}stax2-api-javadoc
# No longer needed for docker-client stack
Obsoletes: %{scl_prefix}tiger-types
Obsoletes: %{scl_prefix}tiger-types-javadoc
# No longer needed for incubating mylyn components
Obsoletes: %{scl_prefix}rome
Obsoletes: %{scl_prefix}rome-certiorem
Obsoletes: %{scl_prefix}rome-fetcher
Obsoletes: %{scl_prefix}rome-javadoc
Obsoletes: %{scl_prefix}rome-modules
Obsoletes: %{scl_prefix}rome-opml
Obsoletes: %{scl_prefix}rome-propono
Obsoletes: %{scl_prefix}rome-utils
# No longer needed for eclipse-m2e-wtp
Obsoletes: %{scl_prefix}maven-war-plugin
Obsoletes: %{scl_prefix}maven-war-plugin-javadoc
Obsoletes: %{scl_prefix}maven-mapping
Obsoletes: %{scl_prefix}maven-mapping-javadoc
Obsoletes: %{scl_prefix}xstream
Obsoletes: %{scl_prefix}xstream-benchmark
Obsoletes: %{scl_prefix}xstream-javadoc
Obsoletes: %{scl_prefix}xstream-parent
# No longer needed by eclipse-platform
Obsoletes: %{scl_prefix}apache-commons-el
Obsoletes: %{scl_prefix}apache-commons-el-javadoc
Obsoletes: %{scl_prefix}apache-commons-fileupload
Obsoletes: %{scl_prefix}apache-commons-fileupload-javadoc
# No longer needed for devstudio, see RHECLIPSE-249
Obsoletes: %{scl_prefix}eclipse-testng
Obsoletes: %{scl_prefix}testng
Obsoletes: %{scl_prefix}testng-javadoc
Obsoletes: %{scl_prefix}testng-remote
Obsoletes: %{scl_prefix}testng-remote-javadoc
# No longer needed for tests, see RHECLIPSE-254
Obsoletes: %{scl_prefix}eclipse-swtbot
# No longer needed for felix-scr
Obsoletes: %{scl_prefix}kxml
Obsoletes: %{scl_prefix}kxml-javadoc
# Javadoc no longer built for swt-chart
Obsoletes: %{scl_prefix}swt-chart-javadoc
# No longer needed by Mylyn Docs
Obsoletes: %{scl_prefix}tika
Obsoletes: %{scl_prefix}tika-batch
Obsoletes: %{scl_prefix}tika-java7
Obsoletes: %{scl_prefix}tika-javadoc
Obsoletes: %{scl_prefix}tika-parent
Obsoletes: %{scl_prefix}tika-parsers
Obsoletes: %{scl_prefix}tika-pom
Obsoletes: %{scl_prefix}tika-serialization
# No longer needed by TM Terminal
Obsoletes: %{scl_prefix}rxtx
# No longer needed by cbi-plugins
Obsoletes: %{scl_prefix}auto
Obsoletes: %{scl_prefix}auto-common
Obsoletes: %{scl_prefix}auto-javadoc
Obsoletes: %{scl_prefix}auto-service
Obsoletes: %{scl_prefix}auto-value
Obsoletes: %{scl_prefix}javapoet
Obsoletes: %{scl_prefix}javapoet-javadoc
# No longer needed for webtools
Obsoletes: %{scl_prefix}apache-commons-discovery
Obsoletes: %{scl_prefix}apache-commons-discovery-javadoc
Obsoletes: %{scl_prefix}glassfish-jaxrpc-api
Obsoletes: %{scl_prefix}glassfish-jaxrpc-api-javadoc
Obsoletes: %{scl_prefix}glassfish-jax-rs-api
Obsoletes: %{scl_prefix}json_simple
Obsoletes: %{scl_prefix}json_simple-javadoc
Obsoletes: %{scl_prefix}uddi4j
Obsoletes: %{scl_prefix}uddi4j-javadoc
Obsoletes: %{scl_prefix}wsdl4j
Obsoletes: %{scl_prefix}wsdl4j-javadoc
Obsoletes: %{scl_prefix}wsil4j
Obsoletes: %{scl_prefix}wsil4j-javadoc
# No longer shipping eclipse-usage
Obsoletes: %{scl_prefix}eclipse-usage
# No longer needed for m2e
Obsoletes: %{scl_prefix}aether-connector-okhttp
Obsoletes: %{scl_prefix}aether-connector-okhttp-javadoc
Obsoletes: %{scl_prefix}okhttp
Obsoletes: %{scl_prefix}okhttp-dnsoverhttps
Obsoletes: %{scl_prefix}okhttp-javadoc
Obsoletes: %{scl_prefix}okhttp-logging-interceptor
Obsoletes: %{scl_prefix}okhttp-parent
Obsoletes: %{scl_prefix}okhttp-sse
Obsoletes: %{scl_prefix}okhttp-tls
Obsoletes: %{scl_prefix}okhttp-urlconnection
Obsoletes: %{scl_prefix}okio
Obsoletes: %{scl_prefix}okio-javadoc
Obsoletes: %{scl_prefix}maven-resolver-spi
Obsoletes: %{scl_prefix}maven-resolver-transport-http
Obsoletes: %{scl_prefix}maven-resolver-connector-basic
Obsoletes: %{scl_prefix}maven-resolver-transport-file
Obsoletes: %{scl_prefix}maven-resolver-transport-classpath
Obsoletes: %{scl_prefix}maven-resolver-api
Obsoletes: %{scl_prefix}maven-resolver-javadoc
Obsoletes: %{scl_prefix}maven-resolver-test-util
Obsoletes: %{scl_prefix}maven-resolver-transport-wagon
Obsoletes: %{scl_prefix}maven-resolver-impl
Obsoletes: %{scl_prefix}maven-resolver-util
Obsoletes: %{scl_prefix}maven-resolver
# Not needed by m2e-core/recommenders
Obsoletes: %{scl_prefix}google-guice
Obsoletes: %{scl_prefix}google-guice-javadoc
Obsoletes: %{scl_prefix}guice-assistedinject
Obsoletes: %{scl_prefix}guice-bom
Obsoletes: %{scl_prefix}guice-extensions
Obsoletes: %{scl_prefix}guice-grapher
Obsoletes: %{scl_prefix}guice-jmx
Obsoletes: %{scl_prefix}guice-jndi
Obsoletes: %{scl_prefix}guice-multibindings
Obsoletes: %{scl_prefix}guice-parent
Obsoletes: %{scl_prefix}guice-servlet
Obsoletes: %{scl_prefix}guice-testlib
Obsoletes: %{scl_prefix}guice-throwingproviders
# No longer needed for CDT/Linuxtools
Obsoletes: %{scl_prefix}eclipse-cdt
Obsoletes: %{scl_prefix}eclipse-cdt-llvm
Obsoletes: %{scl_prefix}eclipse-cdt-native
Obsoletes: %{scl_prefix}eclipse-cdt-qt
Obsoletes: %{scl_prefix}eclipse-cdt-sdk
Obsoletes: %{scl_prefix}eclipse-cdt-terminal
Obsoletes: %{scl_prefix}eclipse-linuxtools
Obsoletes: %{scl_prefix}eclipse-linuxtools-changelog
Obsoletes: %{scl_prefix}eclipse-linuxtools-gcov
Obsoletes: %{scl_prefix}eclipse-linuxtools-gprof
Obsoletes: %{scl_prefix}eclipse-linuxtools-javadocs
Obsoletes: %{scl_prefix}eclipse-linuxtools-libhover
Obsoletes: %{scl_prefix}eclipse-linuxtools-manpage
Obsoletes: %{scl_prefix}eclipse-linuxtools-perf
Obsoletes: %{scl_prefix}eclipse-linuxtools-rpm-editor
Obsoletes: %{scl_prefix}eclipse-linuxtools-systemtap
Obsoletes: %{scl_prefix}eclipse-linuxtools-vagrant
Obsoletes: %{scl_prefix}eclipse-linuxtools-valgrind
Obsoletes: %{scl_prefix}eclipse-remote
Obsoletes: %{scl_prefix}nekohtml
Obsoletes: %{scl_prefix}nekohtml-demo
Obsoletes: %{scl_prefix}nekohtml-javadoc
Obsoletes: %{scl_prefix}freemarker
Obsoletes: %{scl_prefix}freemarker-javadoc
Obsoletes: %{scl_prefix}swt-chart
# No longer needed for tests
Obsoletes: %{scl_prefix}mockito
Obsoletes: %{scl_prefix}mockito-javadoc
Obsoletes: %{scl_prefix}assertj-core
Obsoletes: %{scl_prefix}assertj-core-javadoc
Obsoletes: %{scl_prefix}byte-buddy-agent
Obsoletes: %{scl_prefix}byte-buddy-parent
Obsoletes: %{scl_prefix}byte-buddy-maven-plugin
Obsoletes: %{scl_prefix}byte-buddy-javadoc
Obsoletes: %{scl_prefix}byte-buddy

%description
This is the main package for %scl Software Collection.
Installs all Eclipse packages available in this SCL.

%package runtime
Summary: Runtime scripts for the %scl Software Collection
Requires: scl-utils >= 20120927-11
Requires: rh-maven36-runtime
# Eclipse requires Java 11 to run and build
Requires: java-11-openjdk-devel

%description runtime
Package shipping essential scripts to work with the %scl Software
Collection.

%package build
Summary: Build configuration for the %scl Software Collection
Requires: scl-utils-build >= 20120927-11
Requires: %{name}-scldevel = %{epoch}:%{version}-%{release}
# Required for running maven SCL on Java 11
Requires: %{scl_prefix}glassfish-jaxb-api

%description build
Package shipping essential configuration macros to build the %scl
Software Collection itself.

%package scldevel
Summary: Development files for the %scl Software Collection
Requires: %{name}-runtime = %{epoch}:%{version}-%{release}
Requires: rh-maven36-scldevel

%description scldevel
Package shipping development files, especially useful for development of
packages depending on the %scl Software Collection.

%prep
%setup -c -T

# Prepare documentation
cat > README << EOF
%{expand:%(cat %{SOURCE0})}
EOF
cp %{SOURCE1} .

%build
# Enable collection script
# ========================
cat <<EOF >enable
#!/bin/bash

# We have a run-time dependency on maven collection, enable it first if not already
if ! scl_enabled rh-maven36 ; then
  if [ -z "\$RPM_BUILD_ROOT" ] ; then
    . scl_source enable rh-maven36
  fi
fi

# The IDE has optional deps on other collections, so enable them if present
if test -e /opt/rh/python27/enable ; then
  . scl_source enable python27
fi
if test -e /opt/rh/rh-python35/enable ; then
  . scl_source enable rh-python35
fi
if test -e /opt/rh/rh-python36/enable ; then
  . scl_source enable rh-python36
fi
if test -e /opt/rh/rh-python38/enable ; then
  . scl_source enable rh-python38
fi
if test -e /opt/rh/rh-nodejs12/enable ; then
  . scl_source enable rh-nodejs12
fi
if test -e /opt/rh/rh-nodejs14/enable ; then
  . scl_source enable rh-nodejs14
fi

# General environment variables
export JAVA_HOME=%{_prefix}/lib/jvm/java
export PATH=%{_bindir}:%{_prefix}/lib/jvm/java/bin\${PATH:+:\${PATH}}
export MANPATH=%{_mandir}:\${MANPATH}

# Needed by Java Packages Tools to locate java.conf
export JAVACONFDIRS="%{_sysconfdir}/java:\${JAVACONFDIRS:-/etc/java}"

# Required by XMvn to locate its configuration files
export XDG_CONFIG_DIRS="%{_sysconfdir}/xdg:\${XDG_CONFIG_DIRS:-/etc/xdg}"
export XDG_DATA_DIRS="%{_datadir}:\${XDG_DATA_DIRS:-/usr/local/share:/usr/share}"

# Collection is 64bit only, so it's safe to assume there will be a /usr/lib64 dir
# But java stuff is always in /usr/lib on all arches so include that too
export LD_LIBRARY_PATH=%{_prefix}/lib64:%{_prefix}/lib:\${LD_LIBRARY_PATH:+:\${LD_LIBRARY_PATH}}
EOF

# Java configuration
# ==================
cat <<EOF >java.conf
JAVA_LIBDIR=%{_prefix}/share/java
JNI_LIBDIR=%{_prefix}/lib/java
JVM_ROOT=%{_prefix}/lib/jvm
EOF

# Eclipse configuration file
# ==========================
cat <<EOF >eclipse.conf
# Eclipse platform root directory
eclipse.root=%{_prefix}/lib/eclipse
# Location of architecture-independant dropins
eclipse.dropins.noarch=%{_datadir}/eclipse/dropins
# Location of architecture-independant droplets
eclipse.droplets.noarch=%{_datadir}/eclipse/droplets
# Location of architecture-dependant dropins
eclipse.dropins.archful=%{_prefix}/lib/eclipse/dropins
# Location of architecture-dependant droplets
eclipse.droplets.archful=%{_prefix}/lib/eclipse/droplets
# Comma-separated list of directories searched for external bundles
eclipse.bundles=%{_prefix}/share/java,%{_prefix}/lib/java
# Software collection ID (empty if not SCL)
scl.namespace=%{?scl}
# Software collection root directory (empty if not SCL)
scl.root=%{?_scl_root}
EOF

# Javapackages config
# ===================
cat <<EOF >javapackages-config.json
{
    "maven.req": {
	"always_generate": [
	    "%{scl}-runtime"
	],
	"java_requires": {
	    "package_name": "java-11",
	    "always_generate": true,
	    "skip": false
	},
	"java_devel_requires": {
	    "package_name": "java-11-devel",
	    "always_generate": false,
	    "skip": false
	}
    },
    "javadoc.req": {
	"always_generate": [
	    "%{scl}-runtime"
	]
    }
}
EOF

# Ivy configuration
# =================
cat <<EOF >ivysettings.xml
<!-- Ivy configuration file for %{scl} software collection
     Artifact resolution order is:
      1. %{scl} collection
      2. rh-maven36 collection
-->
<ivysettings>
  <settings defaultResolver="default"/>
  <resolvers>
    <filesystem name="%{scl}-public">
      <ivy pattern="\${ivy.conf.dir}/lib/[module]/apache-ivy-[revision].xml" />
      <artifact pattern="%{_datadir}/java/\[artifact].[ext]" />
    </filesystem>
    <filesystem name="rh-maven36-public">
      <ivy pattern="\${ivy.conf.dir}/lib/[module]/apache-ivy-[revision].xml" />
      <artifact pattern="/opt/rh/rh-maven36/root/%{_root_datadir}/java/\[artifact].[ext]" />
    </filesystem>
    <filesystem name="public">
      <ivy pattern="\${ivy.conf.dir}/lib/[module]/apache-ivy-[revision].xml" />
      <artifact pattern="%{_root_datadir}/java/\[artifact].[ext]" />
    </filesystem>
    <chain name="main" dual="true">
      <resolver ref="%{scl}-public"/>
      <resolver ref="rh-maven36-public"/>
      <resolver ref="public"/>
    </chain>
  </resolvers>
  <include url="\${ivy.default.settings.dir}/ivysettings-local.xml"/>
  <include url="\${ivy.default.settings.dir}/ivysettings-default-chain.xml"/>
</ivysettings>
EOF

# XMvn configuration
# ==================
cat <<EOF >configuration.xml
<?xml version="1.0" encoding="US-ASCII"?>
<!-- XMvn configuration file for %{scl} software collection
     Artifact resolution order is:
      1. %{scl} collection
      2. rh-maven36 collection
-->
<configuration xmlns="http://fedorahosted.org/xmvn/CONFIG/2.0.0">
  <resolverSettings>
    <metadataRepositories>
      <repository>/opt/rh/%{scl}/root/usr/share/maven-metadata</repository>
      <repository>/opt/rh/rh-maven35/root/usr/share/maven-metadata</repository>
      <repository>/opt/rh/rh-maven36/root/usr/share/maven-metadata</repository>
    </metadataRepositories>
    <prefixes>
      <prefix>/opt/rh/%{scl}/root</prefix>
      <prefix>/opt/rh/rh-maven35/root</prefix>
      <prefix>/opt/rh/rh-maven36/root</prefix>
    </prefixes>
  </resolverSettings>
  <installerSettings>
    <metadataDir>opt/rh/%{scl}/root/usr/share/maven-metadata</metadataDir>
  </installerSettings>
  <repositories>
    <repository>
      <id>resolve-%{scl}</id>
      <type>compound</type>
      <properties>
        <prefix>/opt/rh/%{scl}/root</prefix>
        <namespace>%{scl}</namespace>
      </properties>
      <configuration>
        <repositories>
          <repository>base-resolve</repository>
        </repositories>
      </configuration>
    </repository>
    <repository>
      <id>resolve-rh-maven35</id>
      <type>compound</type>
      <properties>
        <prefix>/opt/rh/rh-maven35/root</prefix>
        <namespace>rh-maven35</namespace>
      </properties>
      <configuration>
        <repositories>
          <repository>base-resolve</repository>
        </repositories>
      </configuration>
    </repository>
    <repository>
      <id>resolve-rh-maven36</id>
      <type>compound</type>
      <properties>
        <prefix>/opt/rh/rh-maven36/root</prefix>
        <namespace>rh-maven36</namespace>
      </properties>
      <configuration>
        <repositories>
          <repository>base-resolve</repository>
        </repositories>
      </configuration>
    </repository>
    <repository>
      <id>resolve-local</id>
      <type>maven</type>
      <properties>
        <root>.m2</root>
      </properties>
    </repository>
    <repository>
      <id>resolve</id>
      <type>compound</type>
      <configuration>
        <repositories>
	  <!-- Put resolvers in order you want to use them, from
	       highest to lowest preference. (resolve-local is
	       resolver that resolves from local Maven repository in
	       .xm2 in current directory.) -->
          <repository>resolve-local</repository>
          <repository>resolve-%{scl}</repository>
          <repository>resolve-rh-maven36</repository>
          <repository>resolve-rh-maven35</repository>
        </repositories>
      </configuration>
    </repository>
    <repository>
      <id>install</id>
      <type>compound</type>
      <properties>
        <prefix>opt/rh/%{scl}/root</prefix>
        <namespace>%{scl}</namespace>
      </properties>
      <configuration>
        <repositories>
          <repository>base-install</repository>
        </repositories>
      </configuration>
    </repository>
  </repositories>
</configuration>
EOF

# SCL devel macros
# ================
cat <<EOF >macros.%{scl}-scldevel
%%scl_%{scl_name_base} %{scl}
%%scl_prefix_%{scl_name_base} %{scl_prefix}
%%_scl_prefix_%{scl_name_base} %_scl_prefix
%%_scl_scripts_%{scl_name_base} %_scl_scripts
%%_scl_root_%{scl_name_base} %_scl_root
EOF

# Additional SCL build macros
# ===========================
cat <<EOF >macros.%{scl}-config

# Customisations for desktop applications
%%app_name_prefix Red Hat Eclipse %{version}
%%app_exec_prefix scl enable %{scl_name}

# Flags for disabling conditional parts of builds that we don't need
%%_with_jp_minimal 1
%%_without_portlet 1
%%_without_gradle 1
%%_without_groovy 1
%%_without_benchmarks 1
%%_without_okcurl 1
%%_without_hibernate 1
%%_without_providers 1
%%_without_javahl 1
%%_without_jpa 1
%%_without_spring 1
%%_without_memoryfilesystem 1
%%_without_reflections 1
%%_without_rpmwheels 1
%%_without_photran_support 1
%%_without_tests 1
%%_without_junit5 1
EOF

# Generate a helper script that will be used by help2man
cat <<EOF >h2m_helper
#!/bin/bash
[ "\$1" == "--version" ] && echo "%{scl_name} %{version} Software Collection" || cat README
EOF
chmod a+x h2m_helper

# Generate the man page
help2man -N --section 7 ./h2m_helper -o %{scl_name}.7

%install
(%{scl_install})

# Install scl scripts
install -d -m 755 %{buildroot}%{_scl_scripts}
install -p -m 755 enable %{buildroot}%{_scl_scripts}/

# Install man page
install -d -m 755 %{buildroot}%{_mandir}/man7
install -p -m 644 %{scl_name}.7 %{buildroot}%{_mandir}/man7/

# Install rpm macros
install -d -m 755 %{buildroot}%{_root_sysconfdir}/rpm
install -p -m 644 macros.%{scl}-scldevel %{buildroot}%{_root_sysconfdir}/rpm/

# Install java, ant, ivy and xmvn config
install -d -m 755 %{buildroot}%{_sysconfdir}/ant.d
install -d -m 755 %{buildroot}%{_sysconfdir}/java
install -d -m 755 %{buildroot}%{_sysconfdir}/java/security
install -d -m 755 %{buildroot}%{_sysconfdir}/java/security/security.d
install -p -m 644 java.conf %{buildroot}%{_sysconfdir}/java/
install -p -m 644 javapackages-config.json %{buildroot}%{_sysconfdir}/java/
install -d -m 755 %{buildroot}%{_sysconfdir}/ivy
install -p -m 644 ivysettings.xml %{buildroot}%{_sysconfdir}/ivy/
install -d -m 755 %{buildroot}%{_sysconfdir}/xdg/xmvn
install -p -m 644 configuration.xml %{buildroot}%{_sysconfdir}/xdg/xmvn/

# Eclipse Platform features and bundles
install -m 755 -d %{buildroot}%{_prefix}/lib/eclipse/features
install -m 755 -d %{buildroot}%{_prefix}/lib/eclipse/plugins
# Archful dropins
install -m 755 -d %{buildroot}%{_prefix}/lib/eclipse/dropins
# Archful droplets
install -m 755 -d %{buildroot}%{_prefix}/lib/eclipse/droplets
# Noarch dropins
install -m 755 -d %{buildroot}%{_datadir}/eclipse/dropins
# Noarch droplets
install -m 755 -d %{buildroot}%{_datadir}/eclipse/droplets
# Eclipse config
install -m 644 -p eclipse.conf %{buildroot}%{_sysconfdir}/java/

# Other directories that should be owned by the runtime
install -d -m 755 %{buildroot}%{_datadir}/appdata
install -d -m 755 %{buildroot}%{_datadir}/licenses
# Otherwise unowned java directories (native java bits are always in /usr/lib even on 64bit arches)
install -d -m 755 %{buildroot}%{_prefix}/share/java
install -d -m 755 %{buildroot}%{_prefix}/share/java-utils
install -d -m 755 %{buildroot}%{_prefix}/lib/java
install -d -m 755 %{buildroot}%{_prefix}/lib/jvm
# Otherwise unowned maven directories
install -d -m 755 %{buildroot}%{_datadir}/maven-metadata
install -d -m 755 %{buildroot}%{_datadir}/maven-poms

# Symlink to JVM in base operating system
ln -s -T %{_root_prefix}/lib/jvm/java-11 %{buildroot}%{_prefix}/lib/jvm/java
ln -s -T %{_root_prefix}/lib/jvm/java-11 %{buildroot}%{_prefix}/lib/jvm/java-11
ln -s -T %{_root_prefix}/lib/jvm/java-1.8.0 %{buildroot}%{_prefix}/lib/jvm/java-1.8.0

# Public suffix data hack
install -d -m 755 %{buildroot}%{_root_datadir}
ln -s -T %{_datadir_maven}/publicsuffix %{buildroot}%{_root_datadir}/publicsuffix

# XXX Hack to fix xmvn not looking in the maven SCL datadir for xmvn extensions, so
# we add a symlink in the root datadir to the maven SCL datadir to trick it
install -d -m 755 %{buildroot}%{_root_datadir}/xmvn/lib/
ln -s -T %{_datadir_maven}/xmvn/lib/installer %{buildroot}%{_root_datadir}/xmvn/lib/installer

# XXX Hack to fix maven SCL does not work on Java 11 due to missing JAXB APIs, so we
# add a symlink to our own copy of the APIs into the xmvn lib dir so it gets added
# to the classpath
install -m 755 -d %{buildroot}%{_datadir_maven}/xmvn/lib
ln -s %{_datadir}/java/jaxb-api.jar %{buildroot}%{_datadir_maven}/xmvn/lib

# Additional SCL build macros
cat macros.%{scl}-config >> %{buildroot}%{_root_sysconfdir}/rpm/macros.%{scl}-config

# Disable base-OS dep generators
install -m 755 -d %{buildroot}%{_root_prefix}/lib/rpm/fileattrs
install -m 644 %{SOURCE2} %{buildroot}%{_root_prefix}/lib/rpm/fileattrs

%files
# Metapackage only, empty file list

%files runtime -f filelist
%doc README
%license LICENSE
%scl_files
%{_sysconfdir}/ant.d
%{_sysconfdir}/ivy
%{_sysconfdir}/java
%dir %{_datadir}/appdata
%dir %{_datadir}/licenses
%dir %{_prefix}/share/java
%dir %{_prefix}/share/java-utils
%dir %{_prefix}/lib/java
%dir %{_prefix}/lib/jvm
%dir %{_datadir}/maven-metadata
%dir %{_datadir}/maven-poms
%{_prefix}/lib/eclipse
%{_prefix}/share/eclipse
%{_prefix}/lib/jvm/java
%{_prefix}/lib/jvm/java-11
%{_root_datadir}/publicsuffix

%files build
%{_root_sysconfdir}/rpm/macros.%{scl}-config
%{_root_datadir}/xmvn/lib/
%{_datadir_maven}/xmvn/lib/*
%{_prefix}/lib/jvm/java-1.8.0

%files scldevel
%{_root_sysconfdir}/rpm/macros.%{scl}-scldevel
%{_root_prefix}/lib/rpm/fileattrs/*

%changelog
* Mon Apr 12 2021 Aleksandar Kurtakov <akurtako@redhat.com> 1:4.19-4
- Another round of sublipse dependencies obsoletion.

* Mon Apr 12 2021 Aleksandar Kurtakov <akurtako@redhat.com> 1:4.19-3
- Obsolete jsh-agent-proxy and svnkit subpackages too.

* Fri Apr 9 2021 Aleksandar Kurtakov <akurtako@redhat.com> 1:4.19-2
- Obsolete subclipse dependencies too.

* Thu Apr 8 2021 Aleksandar Kurtakov <akurtako@redhat.com> 1:4.19-1
- Update to 2021.3
- Obsolete subclipse

* Mon Feb  1 2021 Mat Booth <mat.booth@redhat.com> - 1:4.18-13
- Better name for scldevel macro file

* Mon Feb  1 2021 Mat Booth <mat.booth@redhat.com> - 1:4.18-12
- Public suffix data hack for httpcomponents

* Fri Jan 29 2021 Mat Booth <mat.booth@redhat.com> - 1:4.18-11
- Add obsoletes for no longer needed test deps

* Thu Jan 28 2021 Mat Booth <mat.booth@redhat.com> - 1:4.18-10
- Remaining jython/pydev obsoletes

* Wed Jan 27 2021 Mat Booth <mat.booth@redhat.com> - 1:4.18-9
- Bump some versions to latest releases

* Wed Jan 27 2021 Mat Booth <mat.booth@redhat.com> - 1:4.18-8
- Add more jython obsoletes

* Wed Jan 27 2021 Mat Booth <mat.booth@redhat.com> - 1:4.18-7
- Allow maven36 dep generator to pick deps from maven35

* Wed Jan 27 2021 Mat Booth <mat.booth@redhat.com> - 1:4.18-6
- Supply java-11 symlink in runtime package

* Wed Jan 27 2021 Mat Booth <mat.booth@redhat.com> - 1:4.18-5
- Still allow artifact resolution from maven35
- Fix broken maven36 dep generator

* Tue Jan 26 2021 Mat Booth <mat.booth@redhat.com> - 1:4.18-4
- Disable base-OS OSGi dep generators
- Add obsoletes on jython

* Fri Jan 22 2021 Mat Booth <mat.booth@redhat.com> - 1:4.18-3
- Fix generated requires on Java 11

* Wed Jan 20 2021 Mat Booth <mat.booth@redhat.com> - 1:4.18-2
- Bump to maven36

* Tue Jan 19 2021 Mat Booth <mat.booth@redhat.com> - 1:4.18-1
- Bump to 4.18 release
- Obsolete PyDev

* Mon Nov 16 2020 Mat Booth <mat.booth@redhat.com> - 1:4.17-6
- Don't automatically activate DTS collections

* Fri Nov 13 2020 Mat Booth <mat.booth@redhat.com> - 1:4.17-5
- Add obsoletes for CDT and Linuxtools

* Fri Nov 13 2020 Mat Booth <mat.booth@redhat.com> - 1:4.17-4
- Enable nodejs14 SCL if available
- Add obsoletes for guice and javax.rpc packages no longer needed by anything

* Wed Nov 11 2020 Mat Booth <mat.booth@redhat.com> - 1:4.17-3
- Add more obsoletes for m2e deps

* Tue Nov 10 2020 Mat Booth <mat.booth@redhat.com> - 1:4.17-2
- Add obsoletes for eclipse-usage and bump package versions

* Sat Nov  7 2020 Mat Booth <mat.booth@redhat.com> - 1:4.17-1
- Update for 2020-09 release

* Fri Nov  6 2020 Mat Booth <mat.booth@redhat.com> - 1:4.16-12
- Add obsoletes for webtools packages and conditional build flag for junit5
  support

* Tue Nov  3 2020 Mat Booth <mat.booth@redhat.com> - 1:4.16-11
- Add obsoletes for cbi-plugins deps that are no longer needed
- Switch to Java 11 by default

* Mon Jun 29 2020 Mat Booth <mat.booth@redhat.com> - 1:4.16-10
- Remove requires on Mylyn

* Mon Jun 29 2020 Mat Booth <mat.booth@redhat.com> - 1:4.16-9
- Obsolete Mylyn packages

* Mon Jun 29 2020 Mat Booth <mat.booth@redhat.com> - 1:4.16-8
- Enable python 3.8 collection if present

* Thu Jun 25 2020 Mat Booth <mat.booth@redhat.com> - 1:4.16-7
- Bump versions of CDT/Linuxtools

* Thu Jun 25 2020 Mat Booth <mat.booth@redhat.com> - 1:4.16-6
- Obsolete datatools tooling and add more missing obsoletes

* Tue Jun 23 2020 Mat Booth <mat.booth@redhat.com> - 1:4.16-5
- Restore junit5 for ant package and add some more obsoletes

* Mon Jun 22 2020 Mat Booth <mat.booth@redhat.com> - 1:4.16-4
- Bump some versions for 2020-06 release
- Allow xmvn to run on Java 11 by adding JAXB APIs to the classpath

* Mon Jun 22 2020 Mat Booth <mat.booth@redhat.com> - 1:4.16-3
- Revert 5d0169c

* Mon Jun 22 2020 Mat Booth <mat.booth@redhat.com> - 1:4.16-2
- Drop stax2 from obsoletes list

* Thu Jun 18 2020 Mat Booth <mat.booth@redhat.com> - 1:4.16-1
- Update to 2020-06 release
- Add obsoletes for docker-tooling stack

* Thu Mar 26 2020 Mat Booth <mat.booth@redhat.com> - 1:4.15-8
- Bump versions for m2e and webtools

* Tue Mar 24 2020 Mat Booth <mat.booth@redhat.com> - 1:4.15-7
- Update pydev version

* Tue Mar 24 2020 Mat Booth <mat.booth@redhat.com> - 1:4.15-6
- CDT now obsoletes/provides both launchbar and tm-terminal

* Mon Mar 23 2020 Mat Booth <mat.booth@redhat.com> - 1:4.15-5
- Bump linuxtools versions and obsolete packages no longer needed by mylyn

* Mon Mar 23 2020 Mat Booth <mat.booth@redhat.com> - 1:4.15-4
- Update deps on egit/jgit

* Sun Mar 22 2020 Mat Booth <mat.booth@redhat.com> - 1:4.15-3
- Add symlink to java 11 at build time and obsolete kxml packages

* Sun Mar 22 2020 Mat Booth <mat.booth@redhat.com> - 1:4.15-2
- Add obsoletes for testng and swtbot plugins

* Wed Mar 18 2020 Mat Booth <mat.booth@redhat.com> - 1:4.15-1
- Update for 2020-03 release

* Tue Jan 07 2020 Mat Booth <mat.booth@redhat.com> - 1:4.14-9
- Enable nodejs collection if present to support plug-ins using js-based language servers

* Tue Jan 07 2020 Mat Booth <mat.booth@redhat.com> - 1:4.14-8
- Obsolete extra packages no longer needed

* Fri Dec 20 2019 Mat Booth <mat.booth@redhat.com> - 1:4.14-7
- Add more obsoletes for orphan packages

* Fri Dec 20 2019 Mat Booth <mat.booth@redhat.com> - 1:4.14-6
- Bump some required versions

* Thu Dec 19 2019 Mat Booth <mat.booth@redhat.com> - 1:4.14-5
- Obsolete m2e extensions

* Thu Dec 19 2019 Mat Booth <mat.booth@redhat.com> - 1:4.14-4
- Rebuild in clean buildroot

* Wed Dec 18 2019 Mat Booth <mat.booth@redhat.com> - 1:4.14-3
- Switch back to maven35 for now

* Fri Nov 29 2019 Mat Booth <mat.booth@redhat.com> - 1:4.14-2
- Switch to maven36 from maven35

* Thu Nov 28 2019 Mat Booth <mat.booth@redhat.com> - 1:4.14-1
- Bump version for 2019-12 release of upstream Eclipse
- Drop exclusive arch to test buildroots
- Obsolete packages that are dead/retired upstream

* Fri Sep 27 2019 Mat Booth <mat.booth@redhat.com> - 1:4.13-5
- Obsolete some no longer needed packages to ensure their removal on user
  systems

* Mon Sep 23 2019 Mat Booth <mat.booth@redhat.com> - 1:4.13-4
- Bump version requirements

* Sat Sep 21 2019 Mat Booth <mat.booth@redhat.com> - 1:4.13-3
- Disable building of test bundles where packages conditionally support it

* Fri Sep 20 2019 Mat Booth <mat.booth@redhat.com> - 1:4.13-2
- Add exclusive arch for x86_64

* Fri Sep 20 2019 Mat Booth <mat.booth@redhat.com> - 1:4.13-1
- Update to 2019-09 release
- Obsolete PTP and DLTK packages
- RHECLIPSE-216 - Enable DTS 9 if present

* Thu Jun 27 2019 Mat Booth <mat.booth@redhat.com> - 1:4.12-7
- Obsolete jai-imageio-core as no longer needed dep of batik

* Thu Jun 20 2019 Mat Booth <mat.booth@redhat.com> - 1:4.12-6
- Re-instate contrib tools package
- Update versions of CDT and Linuxtools

* Mon Jun 17 2019 Mat Booth <mat.booth@redhat.com> - 1:4.12-5
- Add photran conditional and bump versions for pydev and ptp

* Mon Jun 17 2019 Mat Booth <mat.booth@redhat.com> - 1:4.12-4
- Update deps on newly updated packages

* Mon Jun 17 2019 Mat Booth <mat.booth@redhat.com> - 1:4.12-3
- Update some version requirements and obsolete some more packages

* Mon Jun 17 2019 Mat Booth <mat.booth@redhat.com> - 1:4.12-2
- Update requires/obsoletes for packages that went away and add contrib-tools
  conditional to build macros

* Thu Jun 13 2019 Mat Booth <mat.booth@redhat.com> - 1:4.12-1
- Rebuild for Eclipse 2019-06 (4.12)

* Fri Mar 15 2019 Mat Booth <mat.booth@redhat.com> - 1:4.11-10
- Update more versions

* Thu Mar 14 2019 Mat Booth <mat.booth@redhat.com> - 1:4.11-9
- Update more versions, obsolete eclipse-rse (superceded by eclipse-tm-*)

* Thu Mar 14 2019 Mat Booth <mat.booth@redhat.com> - 1:4.11-8
- Obsolete tiger-types and bump the version of linuxtools

* Wed Mar 13 2019 Mat Booth <mat.booth@redhat.com> - 1:4.11-7
- Bump epoch to make the version number fully cromulent

* Wed Mar 13 2019 Mat Booth <mat.booth@redhat.com> - 4.11-6
- Better specification of required versions

* Tue Mar 12 2019 Mat Booth <mat.booth@redhat.com> - 4.11.0-5
- Revert xmvn directory change

* Mon Mar 11 2019 Mat Booth <mat.booth@redhat.com> - 4.11.0-4
- Add more complete obsoletes
- Add better directory workaround for xmvn

* Thu Mar 07 2019 Mat Booth <mat.booth@redhat.com> - 4.11.0-3
- Add reflections conditional build flag
- Obsolete felix-shell, no longer a pre-req for felix-scr

* Wed Mar 06 2019 Mat Booth <mat.booth@redhat.com> - 4.11.0-2
- Add rpmwheels conditional build flag for jython

* Fri Feb 22 2019 Mat Booth <mat.booth@redhat.com> - 4.11.0-1
- Rebuild for Eclipse 2019-03 (4.11)
- Obsolete eclipse-recommenders and friends, RHECLIPSE-117

* Thu Jan 10 2019 Mat Booth <mat.booth@redhat.com> - 4.10.0-4
- Ensure removed packages are properly obsoleted and bump dependencies

* Sun Dec 09 2018 Mat Booth <mat.booth@redhat.com> - 4.10.0-3
- Add conditional build flag for memoryfilesystem

* Mon Dec 03 2018 Mat Booth <mat.booth@redhat.com> - 4.10.0-2
- Rebuild after buildroot changes

* Thu Nov 29 2018 Mat Booth <mat.booth@redhat.com> - 4.10.0-1
- Update to Eclipse 2018-12 release

* Tue Sep 25 2018 Mat Booth <mat.booth@redhat.com> - 4.9.0-6
- Ensure latest versions of webtools and jgit/egit are installed

* Wed Sep 12 2018 Mat Booth <mat.booth@redhat.com> - 4.9.0-5
- Pull in all the latest versions

* Thu Aug 23 2018 Mat Booth <mat.booth@redhat.com> - 4.9.0-4
- Pull in all the latest versions

* Tue Aug 21 2018 Mat Booth <mat.booth@redhat.com> - 4.9.0-3
- Add conditional flags for jpa and spring

* Sun Aug 12 2018 Mat Booth <mat.booth@redhat.com> - 4.9.0-2
- Fix unexpanded macro in config file

* Tue Aug 07 2018 Mat Booth <mat.booth@redhat.com> - 4.9.0-1
- Updates for 2018.09 release of Eclipse

* Tue Jun 26 2018 Mat Booth <mat.booth@redhat.com> - 4.8.0-6
- Remove java 9 hack

* Mon Jun 25 2018 Mat Booth <mat.booth@redhat.com> - 4.8.0-5
- Anticpate support for upcoming DTS-8 release and drop support for retired
  Python 34 collection.

* Thu Jun 14 2018 Mat Booth <mat.booth@redhat.com> - 4.8.0-4
- Deprecate base subpackage
- Install subclipse by default

* Tue Jun 12 2018 Mat Booth <mat.booth@redhat.com> - 4.8.0-3
- Add java version hack

* Fri Jun 08 2018 Mat Booth <mat.booth@redhat.com> - 4.8.0-2
- Provide Eclipse Filesystem

* Thu Jun 07 2018 Mat Booth <mat.booth@redhat.com> - 4.8.0-1
- Update to Photon release

* Wed Apr 11 2018 Mat Booth <mat.booth@redhat.com> - 4.7.3-7
- Add javahl conditional build flag

* Mon Apr 09 2018 Mat Booth <mat.booth@redhat.com> - 4.7.3-6
- Really fix enablement of dependent maven collection

* Mon Apr 09 2018 Mat Booth <mat.booth@redhat.com> - 4.7.3-5
- Fix broken symlink to system javadoc

* Fri Mar 23 2018 Mat Booth <mat.booth@redhat.com> - 4.7.3-4
- Fix rh-maven35 collection enablement

* Thu Mar 22 2018 Mat Booth <mat.booth@redhat.com> - 4.7.3-3
- Update some version requirements

* Thu Mar 22 2018 Mat Booth <mat.booth@redhat.com> - 4.7.3-2
- Update some version requirements

* Thu Mar 22 2018 Mat Booth <mat.booth@redhat.com> - 4.7.3-1
- Update to Oxygen.3

* Wed Jan 17 2018 Mat Booth <mat.booth@redhat.com> - 4.7.2-14
- Move temporary fix to build package where it is needed

* Tue Jan 16 2018 Mat Booth <mat.booth@redhat.com> - 4.7.2-13
- Add base requirement on apt and wtp m2e plugins
- Own licenses directory

* Thu Dec 14 2017 Mat Booth <mat.booth@redhat.com> - 4.7.2-12
- Add temporary fix for xmvn problem

* Mon Dec 11 2017 Mat Booth <mat.booth@redhat.com> - 4.7.2-11
- Add conditional build flag for ecf providers

* Mon Dec 11 2017 Mat Booth <mat.booth@redhat.com> - 4.7.2-10
- Add hibernate conditional build flag

* Thu Dec 07 2017 Mat Booth <mat.booth@redhat.com> - 4.7.2-9
- Fix typo in RPM macro

* Thu Dec 07 2017 Mat Booth <mat.booth@redhat.com> - 4.7.2-8
- Use jp_minimal flag for builds

* Mon Dec 04 2017 Mat Booth <mat.booth@redhat.com> - 4.7.2-7
- Add more useful conditional build flags

* Mon Dec 04 2017 Mat Booth <mat.booth@redhat.com> - 4.7.2-6
- Add more useful conditional build flags

* Mon Dec 04 2017 Mat Booth <mat.booth@redhat.com> - 4.7.2-5
- Add conditional build flags

* Mon Dec 04 2017 Mat Booth <mat.booth@redhat.com> - 4.7.2-4
- Fix double activation of maven collection preventing dep generation from
  working

* Fri Dec 01 2017 Mat Booth <mat.booth@redhat.com> - 4.7.2-3
- Rebuilt with fixed buildroot

* Fri Dec 01 2017 Mat Booth <mat.booth@redhat.com> - 4.7.2-2
- BR the maven collection for a consistent build root
- ExcludeArch ppc64

* Mon Nov 20 2017 Mat Booth <mat.booth@redhat.com> - 4.7.2-1
- Bump to 4.7.2
- Drop xmvn macro overrides
- Move to rh-maven35 SCL dependency
- Drop support for EOL python33 collection

* Tue Oct 03 2017 Mat Booth <mat.booth@redhat.com> - 4.7.1-4
- Add Requires on new webtools-dali package

* Tue Sep 26 2017 Mat Booth <mat.booth@redhat.com> - 4.7.1-3
- Take ownership of java-utils dir used by tycho

* Tue Sep 26 2017 Mat Booth <mat.booth@redhat.com> - 4.7.1-2
- Add SWTBot for Red Deer usage

* Sun Sep 24 2017 Mat Booth <mat.booth@redhat.com> - 4.7.1-1
- Add Requires on new modules

* Wed Jun 28 2017 Mat Booth <mat.booth@redhat.com> - 4.7-2
- Enable Python 3.6 collection, if present
- Take ownership of ant.d condig dir

* Thu Jun 01 2017 Mat Booth <mat.booth@redhat.com> - 4.7-1
- Updates for Eclipse Oxygen

* Sun Apr 02 2017 Mat Booth <mat.booth@redhat.com> - 1-15
- Include Eclipse version number in desktop app shortcut names

* Fri Jan 20 2017 Mat Booth <mat.booth@redhat.com> - 1-14
- Add deps on m2e and testng to base package

* Tue Oct 25 2016 Mat Booth <mat.booth@redhat.com> - 1-13
- Add dep on usage plugin and install marker file

* Fri Oct 21 2016 Mat Booth <mat.booth@redhat.com> - 1-12
- Move deps from main package to base to satisfy requirements for devstudio

* Fri Aug 12 2016 Mat Booth <mat.booth@redhat.com> - 1-11
- Adjust requirements for new tm-terminal package

* Wed Aug 03 2016 Mat Booth <mat.booth@redhat.com> - 1-10
- Add requires on webtools packages

* Tue Aug 02 2016 Mat Booth <mat.booth@redhat.com> - 1-9
- Add more requires to base package

* Mon Aug 01 2016 Mat Booth <mat.booth@redhat.com> - 1-8
- Add macros to configure application names for the collection

* Mon Aug 01 2016 Mat Booth <mat.booth@redhat.com> - 1-7
- Split installation between main metapackage and "base" metapackage,
  rhbz#1361195
- Enable DTS 6, if installed

* Fri Jul 22 2016 Mat Booth <mat.booth@redhat.com> - 1-6
- Improve RPM macros to deal with native jars

* Fri Jul 22 2016 Mat Booth <mat.booth@redhat.com> - 1-5
- Ensure JVM symlinks are always for Java 8 by default

* Thu Jul 21 2016 Mat Booth <mat.booth@redhat.com> - 1-4
- Add symlinks to base OS version of JVM for use during package builds

* Thu Jul 21 2016 Mat Booth <mat.booth@redhat.com> - 1-3
- Ensure Java 8 is available

* Wed Jul 20 2016 Mat Booth <mat.booth@redhat.com> - 1-2
- Install xmvn macro overrides

* Tue Jul 19 2016 Mat Booth <mat.booth@redhat.com> - 1-1
- Commit initial package.
